<h1 class="h3 mb-3">Academic Record</h1>
<div class="row">
  <div class="col-12">
    <div class="card">
      <div *ngIf="!contentLoaded; else contentLoadedBlock">
        <div class="card-header">
          <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        </div>
        <div class="card-body">
          <ngx-skeleton-loader count="5"></ngx-skeleton-loader>
        </div>
      </div>
      <ng-template #contentLoadedBlock>
        <div class="card-header">
          <h5 class="card-title">{{ profile.name }} grades</h5>
          <h6 class="card-subtitle text-muted"></h6>
        </div>
        <div class="table-responsive animate__animated animate__fadeIn">
          <table class="table table-striped table-hover mb-0">
            <thead>
              <tr>
                <th scope="col">#</th>
                <th scope="col">Language</th>
                <th scope="col">Classroom</th>
                <th scope="col">Term</th>
                <th scope="col">Grade</th>
                <th scope="col">Date</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let grade of grades; index as i;">
                <th scope="row">{{ i + 1 }}</th>
                <td>{{ grade.schoolId }}</td>
                <td>{{ grade.sectionId }}</td>
                <td>{{ grade.term }}</td>
                <td>{{ grade.n51 ? grade.n51 : grade.n50 }}</td>
                <td>{{ grade.startDate | date }}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </ng-template>
    </div>
  </div>
</div>
